%define		rpm_macros_rev	1.714
%define		find_lang_rev	1.38
Summary:	TLD Linux RPM build macros
Summary(pl.UTF-8):	Makra do budowania pakietów RPM dla Linuksa TLD
Name:		rpm-build-macros
Version:	%{rpm_macros_rev}
Release:	2
License:	GPL
Group:		Development/Building
Source0:	rpm.macros
Source1:	service_generator.sh
Source3:	find-lang.sh
Source4:	dokuwiki-find-lang.sh
Patch0:		disable-systemd.patch
#Patchx: %{name}-pydebuginfo.patch
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	sed >= 4.0
Requires:	findutils >= 1:4.2.26
Provides:	rpmbuild(find_lang) = %{find_lang_rev}
Provides:	rpmbuild(macros) = %{rpm_macros_rev}
Obsoletes:	rpm-macros
# rm: option `--interactive' doesn't allow an argument
Conflicts:	coreutils < 6.9
Conflicts:	gettext-devel < 0.11
# tmpdir/_tmppath macros problems; optcppflags missing
Conflicts:	rpm < 4.4.9-72
# php-config --sysconfdir
Conflicts:	php-devel < 4:5.2.0-3
Conflicts:	php4-devel < 3:4.4.4-10
# sysconfig module with proper 'purelib' path
Conflicts:	python3 < 1:3.2.1-3
# libtool --install
Conflicts:	libtool < 2:2.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# redefine to bootstrap
%define		_usrlibrpm %{_prefix}/lib/rpm

%description
This package contains rpm build macros for TLD Linux.

%description -l pl.UTF-8
Ten pakiet zawiera makra rpm-a do budowania pakietów dla Linuksa TLD.

%prep
%setup -qcT
cp -p %{SOURCE0} .
cp -p %{SOURCE1} .

%patch0 -p1

%build
%{__sed} -i -e 's,{Revision},%{rpm_macros_rev},' rpm.macros

rev=$(awk '/^%%rpm_build_macros/{print $2}' rpm.macros)
if [ "$rev" != "%rpm_macros_rev" ]; then
	: Update rpm_macros_rev define to $rev, and retry
	exit 1
fi
rev=$(awk -F= '/^VERSION/{print $2}' %{SOURCE3})
if [ "$rev" != "%find_lang_rev" ]; then
	: Update find_lang_rev define to $rev, and retry
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_usrlibrpm}
cp -p rpm.macros $RPM_BUILD_ROOT%{_usrlibrpm}/macros.build
install -p service_generator.sh $RPM_BUILD_ROOT%{_usrlibrpm}
install -p %{SOURCE3} $RPM_BUILD_ROOT%{_usrlibrpm}/find-lang.sh
install -p %{SOURCE4} $RPM_BUILD_ROOT%{_usrlibrpm}/dokuwiki-find-lang.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_usrlibrpm}/macros.build
%attr(755,root,root) %{_usrlibrpm}/service_generator.sh
%attr(755,root,root) %{_usrlibrpm}/find-lang.sh
%attr(755,root,root) %{_usrlibrpm}/dokuwiki-find-lang.sh
%changelog
* Thu Mar 24 2016 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/rpm-build-macros.git;a=log;h=master

* Thu Mar 24 2016 Marcin Krol <hawk@tld-linux.org> 90066de
- merged 1.714 from PLD

* Fri Jul 24 2015 Marcin Krol <hawk@tld-linux.org> 44d23a9
- release 2

* Tue Feb 03 2015 Marcin Krol <hawk@tld-linux.org> 742df8a
- merged find_lang 1.37 from PLD

* Tue Feb 03 2015 Marcin Krol <hawk@tld-linux.org> b4e1306
- merged 1.698 from PLD

* Tue Feb 03 2015 Marcin Krol <hawk@tld-linux.org> eab6d4a
- merged 1.693 from PLD

* Tue Jan 28 2014 Marcin Krol <hawk@tld-linux.org> 2f8b805
- PLD merge

* Sun Aug 04 2013 Marcin Krol <hawk@tld-linux.org> 3299105
- use just filename when checking man links in same directory

* Sun Aug 04 2013 Marcin Krol <hawk@tld-linux.org> 079d72d
- don't use entire file contents as filename when checking if .so links
  point to existing files (was breaking checks when file had more content)

* Fri Aug 02 2013 Marcin Krol <hawk@tld-linux.org> 30704a5
- kill _preserve_env recursion

* Tue Jul 30 2013 Marcin Krol <hawk@tld-linux.org> 80f3ef5
- PLD merge

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> c2fc644
- TLDize

* Sat Jun 29 2013 Marcin Krol <hawk@tld-linux.org> b5023bf
- from PLD

